add_pim_library(OMPimPasses
  CountInstructionPass.cpp
  MessagePass.cpp
  Pim/ConstantFolding/Common.cpp
  Pim/ConstantFolding/Patterns/Constant.cpp
  Pim/ConstantFolding/ConstantFoldingPass.cpp
  Pim/ConstantFolding/Patterns/Subview.cpp
  Pim/MaterializeConstantsPass.cpp
  Pim/VerificationPass.cpp
  Pim/EmitPimJsonPass.cpp

  EXCLUDE_FROM_OM_LIBS

  LINK_LIBS PUBLIC
  MLIRLinalgDialect
  OMPimCommon
)
